### Function

# GLib DestroyNotify

since: 2.0

#### Declaration

    void
    (* GDestroyNotify) (
      gpointer data
    )

#### Description

Specifies the type of function which is called when a data element is destroyed. It is passed the pointer to the data element and should free any memory and resources allocated for it.

Available since: 2.0

#### Parameters

`data`

  Type: `gpointer`

  The data element.

  The argument can be `NULL`.
  The data is owned by the caller of the function.